package com.jeeplus.modules.sg.managementcenter.projectPlanArrage.entity;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.jeeplus.common.utils.excel.annotation.ExcelField;
import com.jeeplus.core.persistence.DataEntity;
import com.jeeplus.modules.act.entity.Act;

import java.util.Date;

public class ProjectActProclnsAss extends DataEntity<ProjectActProclnsAss> {
    private String procInsId;//流程实例编号
    private String customId;//项目号
    private String projectName;//项目名称
    private String projectNumber;//项目定义号
    private String projectLine;//线路
    private String projectPowerRange;//停电范围
    private String projectSwitch;//停电开关
    private Date projectMonthDate;//停电月份
    private Date projectDate;//停电日
    private String projectPowerOut;//是否停电
    private String status;//状态
    private String distributionNetwork;//配网项目经理
    private String constructionUnit;//施工单位项目经理
    private String operationUnit;//运行单位项目经理
    private String backToStauts;//是否退回0-初始状态，1-退回，2-新增
    private String backToText;//退回备注
    private Act act;

    private String associatedBag;//关联包
    private String powerPackage;//停电包
    private Integer associatedSort;//关联包排序字段
    private Integer powerPackageSort;//停电包排序字段
    private String oanotityId; //通知id

    public String getOanotityId() {
        return oanotityId;
    }

    public void setOanotityId(String oanotityId) {
        this.oanotityId = oanotityId;
    }

    @ExcelField(title="关联项目包", align=2, sort=8)
    public String getAssociatedBag() {
        return associatedBag;
    }

    public void setAssociatedBag(String associatedBag) {
        this.associatedBag = associatedBag;
    }
    @ExcelField(title="停电包", align=2, sort=9)
    public String getPowerPackage() {
        return powerPackage;
    }

    public void setPowerPackage(String powerPackage) {
        this.powerPackage = powerPackage;
    }

    public Integer getAssociatedSort() {
        return associatedSort;
    }

    public void setAssociatedSort(Integer associatedSort) {
        this.associatedSort = associatedSort;
    }

    public Integer getPowerPackageSort() {
        return powerPackageSort;
    }

    public void setPowerPackageSort(Integer powerPackageSort) {
        this.powerPackageSort = powerPackageSort;
    }

    public Act getAct() {
        return act;
    }

    public void setAct(Act act) {
        this.act = act;
    }

    public String getProcInsId() {
        return procInsId;
    }

    public void setProcInsId(String procInsId) {
        this.procInsId = procInsId;
    }

    public String getCustomId() {
        return customId;
    }

    public void setCustomId(String customId) {
        this.customId = customId;
    }
    @ExcelField(title="项目名称", align=2, sort=2)
    public String getProjectName() {
        return projectName;
    }

    public void setProjectName(String projectName) {
        this.projectName = projectName;
    }
    @ExcelField(title="项目定义号", align=2, sort=1)
    public String getProjectNumber() {
        return projectNumber;
    }

    public void setProjectNumber(String projectNumber) {
        this.projectNumber = projectNumber;
    }

    public String getProjectLine() {
        return projectLine;
    }

    public void setProjectLine(String projectLine) {
        this.projectLine = projectLine;
    }
    @ExcelField(title="停电范围", align=2, sort=3)
    public String getProjectPowerRange() {
        return projectPowerRange;
    }

    public void setProjectPowerRange(String projectPowerRange) {
        this.projectPowerRange = projectPowerRange;
    }

    public String getProjectSwitch() {
        return projectSwitch;
    }

    public void setProjectSwitch(String projectSwitch) {
        this.projectSwitch = projectSwitch;
    }
    @ExcelField(title="月份", align=2, sort=6)
    @JsonFormat(pattern = "YYYY-MM")
    public Date getProjectMonthDate() {
        return projectMonthDate;
    }

    public void setProjectMonthDate(Date projectMonthDate) {
        this.projectMonthDate = projectMonthDate;
    }
    @ExcelField(title="具体日期", align=2, sort=5)
    @JsonFormat(pattern = "YYYY-MM-dd")
    public Date getProjectDate() {
        return projectDate;
    }

    public void setProjectDate(Date projectDate) {
        this.projectDate = projectDate;
    }
    @ExcelField(title="是否停电", align=2, sort=7)
    public String getProjectPowerOut() {
        return projectPowerOut;
    }

    public void setProjectPowerOut(String projectPowerOut) {
        this.projectPowerOut = projectPowerOut;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getDistributionNetwork() {
        return distributionNetwork;
    }

    public void setDistributionNetwork(String distributionNetwork) {
        this.distributionNetwork = distributionNetwork;
    }

    public String getConstructionUnit() {
        return constructionUnit;
    }

    public void setConstructionUnit(String constructionUnit) {
        this.constructionUnit = constructionUnit;
    }

    public String getOperationUnit() {
        return operationUnit;
    }

    public void setOperationUnit(String operationUnit) {
        this.operationUnit = operationUnit;
    }

    public String getBackToStauts() {
        return backToStauts;
    }

    public void setBackToStauts(String backToStauts) {
        this.backToStauts = backToStauts;
    }


    public String getBackToText() {
        return backToText;
    }

    public void setBackToText(String backToText) {
        this.backToText = backToText;
    }
}
